import * as server from "@minecraft/server"

server.system.runInterval(() => {
    for (let 用户 of server.world.getPlayers()) {
        switch (用户.isSneaking) {
            case true:
                用户.runCommandAsync(`function player_sneaking`)
                break
            case false:
                用户.runCommandAsync(`function player_stop_sneaking`)
                break
        }
    }
},5)

server.system.runInterval(() => {
    for (let dimension of "overworld|nether|the end".split("|")) {
        for (let ph_virus of Array.from(server.world.getDimension(dimension).getEntities())) {
            if (ph_virus.hasTag('ph_virus')) {
                ph_virus.runCommandAsync(`function ph_virus`)
            }
            else {
                ph_virus.runCommandAsync(``)
            }
        }
    }
},5)

server.world.events.entityDie.subscribe((entitydie) => {
    if (entitydie.deadEntity.typeId == `minecraft:player`) {
                entitydie.deadEntity.runCommandAsync(`function player_death`)
        }
    }
)
